Warning when moving to a filename that is in use in the shared repository.
Closed, ResolvedPublic

Description

It would be handy if there was a warning when you attempt to move a file to a "new filename" that is already used in the shared media repository.

en.wp now uses parserextensions in the rename request template to warn about such a thing. See url.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/w/index.php?title=Template%3ARename_media&diff=277903469&oldid=261016463

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz18019.
TheDJ created this task.Via LegacyMar 17 2009, 5:50 PM
bzimport added a comment.Via ConduitSep 25 2009, 2:30 PM

Bryan.TongMinh wrote:

It should probably also respect the reupload-shared permission. Or there should be a separate permission for this.

Mr.Z-man added a comment.Via ConduitOct 24 2009, 4:37 AM

Fixed in r58079.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:47 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:49 AM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.